List Pairs
curl --request GET \
--url https://padelapi.org/api/pairs \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/pairs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"self": "<string>",
"name": "<string>",
"category": "<string>",
"status": "<string>",
"points": 123,
"first_match_at": "<string>",
"last_match_at": "<string>",
"players": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"short_name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"category": "<string>",
"nationality": "<string>",
"ranking": "<string>",
"points": 123,
"height": 123,
"side": "<string>",
"birthplace": "<string>",
"birthdate": "<string>",
"age": "<string>",
"links": "<string>",
"updated_at": "<string>",
"connections": {
"matches": "<string>",
"pairs": "<string>",
"stats": "<string>"
}
}
],
"connections": "<string>"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Pair
List Pairs
Endpoint to retrieve pairs of professional padel players that have played at least one match together, ordered by the date of their most recent match together by default.
GET
/
pairs
List Pairs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Category of the pair, either men or women.
Available options:
men, women Date after which the pair has played a match in YYYY-MM-DD format. Pairs without matches in the range are excluded.
Date before which the pair has played a match in YYYY-MM-DD format.
Name of the parameter to sort the pairs by. Defaults to last_match_at (date of their most recent match together, desc).
Available options:
last_match_at, first_match_at ⌘I